summaryrefslogtreecommitdiffabout
path: root/tests
authorLars Hjemli <hjemli@gmail.com>2008-12-06 10:53:59 (UTC)
committer Lars Hjemli <hjemli@gmail.com>2008-12-06 10:53:59 (UTC)
commit2755af6e29801ea10b5d7be6a0a5635ba3bc9660 (patch) (unidiff)
treeeaa044791005992901b46f0b41b422327a9ac58b /tests
parentd2592a2cb5ca202d9825d8f1ca6f4a712ea8fe2b (diff)
downloadcgit-2755af6e29801ea10b5d7be6a0a5635ba3bc9660.zip
cgit-2755af6e29801ea10b5d7be6a0a5635ba3bc9660.tar.gz
cgit-2755af6e29801ea10b5d7be6a0a5635ba3bc9660.tar.bz2
tests/t0010-validate-html.sh: skip tests if 'tidy' is not available
Noticed-by: Ramsay Jones <ramsay@ramsay1.demon.co.uk> Signed-off-by: Lars Hjemli <hjemli@gmail.com>
Diffstat (limited to 'tests') (more/less context) (ignore whitespace changes)
-rwxr-xr-xtests/t0010-validate-html.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/tests/t0010-validate-html.sh b/tests/t0010-validate-html.sh
index 94aa52b..3fe4800 100755
--- a/tests/t0010-validate-html.sh
+++ b/tests/t0010-validate-html.sh
@@ -9,7 +9,7 @@ test_url()
9 test -z "$NO_TIDY_WARNINGS" || tidy_opt+=" --show-warnings no" 9 test -z "$NO_TIDY_WARNINGS" || tidy_opt+=" --show-warnings no"
10 cgit_url "$1" >trash/tidy-$test_count || return 10 cgit_url "$1" >trash/tidy-$test_count || return
11 sed -ie "1,4d" trash/tidy-$test_count || return 11 sed -ie "1,4d" trash/tidy-$test_count || return
12 tidy $tidy_opt trash/tidy-$test_count 12 "$tidy" $tidy_opt trash/tidy-$test_count
13 rc=$? 13 rc=$?
14 14
15 # tidy returns with exitcode 1 on warnings, 2 on error 15 # tidy returns with exitcode 1 on warnings, 2 on error
@@ -23,6 +23,13 @@ test_url()
23 23
24prepare_tests 'Validate html with tidy' 24prepare_tests 'Validate html with tidy'
25 25
26tidy=`which tidy`
27test -n "$tidy" || {
28 echo "Skipping tests: tidy not found"
29 tests_done
30 exit
31}
32
26run_test 'index page' 'test_url ""' 33run_test 'index page' 'test_url ""'
27run_test 'foo' 'test_url "foo"' 34run_test 'foo' 'test_url "foo"'
28run_test 'foo/log' 'test_url "foo/log"' 35run_test 'foo/log' 'test_url "foo/log"'